DROP TABLE IF EXISTS tipo_cuidado;
CREATE TABLE `tipo_cuidado` (
  `ID_TIPO_CUIDADO` int(11) NOT NULL,
  `NOMBRE` varchar(50) NOT NULL,
  PRIMARY KEY (`ID_TIPO_CUIDADO`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS cuidado;
CREATE TABLE `cuidado` (
  `ID_CUIDADO` int(11) NOT NULL,
  `NOMBRE` varchar(100) NOT NULL,
  `RESUMEN` varchar(4000) DEFAULT NULL,
  `TEXTO` varchar(8000) DEFAULT NULL,
  `IMAGEN` varchar(150) DEFAULT NULL,
  `ID_TIPO_CUIDADO` int(11) NOT NULL,
  PRIMARY KEY (`ID_CUIDADO`),
  KEY `FK_TIPO_CUIDADO` (`ID_TIPO_CUIDADO`),
  CONSTRAINT `FK_TIPO_CUIDADO` FOREIGN KEY (`ID_TIPO_CUIDADO`) REFERENCES `tipo_cuidado` (`ID_TIPO_CUIDADO`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS ubicacion;
CREATE TABLE `ubicacion` (
  `ID_UBICACION` int(11) NOT NULL,
  `NOMBRE` varchar(20) NOT NULL,
  PRIMARY KEY (`ID_UBICACION`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS planta_catalogo;
CREATE TABLE `planta_catalogo` (
  `ID_PLANTA_CATALOGO` int(11) NOT NULL,
  `DESCRIPCION` varchar(5000) DEFAULT NULL,
  `IMAGEN` varchar(150) DEFAULT NULL,
  `CON_FLORES` int(1) DEFAULT '0',
  `FACIL` int(1) DEFAULT NULL,
  `LUZ` varchar(1000) DEFAULT NULL,
  `TEMPERATURA` varchar(1000) DEFAULT NULL,
  `HUMEDAD` varchar(1000) DEFAULT NULL,
  `RIEGO` varchar(1000) DEFAULT NULL,
  `ABONO` varchar(1000) DEFAULT NULL,
  `TRASPLANTE` varchar(1000) DEFAULT NULL,
  `LIMPIEZA` varchar(1000) DEFAULT NULL,
  `PODA` varchar(1000) DEFAULT NULL,
  `MULTIPLICACION` varchar(1000) DEFAULT NULL,
  `FLORACION` varchar(1000) DEFAULT NULL,
  `SUBSTRATO` varchar(1000) DEFAULT NULL,
  `TRASTORNOS` varchar(1000) DEFAULT NULL,
  `DESCANSO` varchar(1000) DEFAULT NULL,
  `INFO_ADICIONAL` varchar(3000) DEFAULT NULL,
  PRIMARY KEY (`ID_PLANTA_CATALOGO`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS cuidado_planta;
CREATE TABLE `cuidado_planta` (
  `ID_PLANTA` int(11) NOT NULL,
  `ID_CUIDADO` int(11) NOT NULL,
  PRIMARY KEY (`ID_PLANTA`,`ID_CUIDADO`),
  KEY `FK_PLANTA` (`ID_PLANTA`),
  KEY `FK_CUIDADO_T` (`ID_CUIDADO`),
  CONSTRAINT `FK_CUIDADO_T` FOREIGN KEY (`ID_CUIDADO`) REFERENCES `cuidado` (`ID_CUIDADO`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_PLANTA` FOREIGN KEY (`ID_PLANTA`) REFERENCES `planta_catalogo` (`ID_PLANTA_CATALOGO`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



DROP TABLE IF EXISTS ubicacion_planta;
CREATE TABLE `ubicacion_planta` (
  `ID_UBICACION` int(11) NOT NULL,
  `ID_PLANTA` int(11) NOT NULL,
  `DESCRIPCION` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`ID_UBICACION`,`ID_PLANTA`),
  KEY `FK_PLANTA_CATA` (`ID_PLANTA`),
  KEY `PK_UBICACION` (`ID_UBICACION`),
  CONSTRAINT `FK_PLANTA_CATA` FOREIGN KEY (`ID_PLANTA`) REFERENCES `planta_catalogo` (`ID_PLANTA_CATALOGO`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `PK_UBICACION` FOREIGN KEY (`ID_UBICACION`) REFERENCES `ubicacion` (`ID_UBICACION`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS nomenclatura;
CREATE TABLE `nomenclatura` (
  `ID_NOMENCLATURA` int(11) NOT NULL,
  `NOMBRE` varchar(50) NOT NULL,
  `ID_PLANTA` int(11) NOT NULL,
  PRIMARY KEY (`ID_NOMENCLATURA`),
  KEY `NOMEN_PLANTA` (`ID_PLANTA`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


















